#include <stdio.h>

int main() {
  int n = -1;
  while(n != 0) {
    // PROMPT USER FOR DESIRED FIBONACCI NUMBER
    printf("Which fibonacci number?: ");
    scanf("%d", &n);
    // IGNORE & REPROMPT FOR NEGATIVE NUMBERS
    if (n < 0) {continue;}
    int value;
    int last1 = 1;
    int last2 = 0;
    // Handling special case of 0,1 at beginning of sequence.
    if (n > 1) {
      // Adding last two digits in sequence until we reach the desired fibonacci number.
      for (int c=1; c != n; c++) {
        value = last1+last2;
        last2 = last1;
        last1 = value;
      }
    } else {
      // 0: 0, 1: 1, everything else handled by for loop above.
      value = n;
    }
    // Print result back to user.
    printf("Fibonacci number %d is %d\n\n", n, value);
  }
  return 0;
}
